##// END OF EJS Templates
tests: solaris sh can not negate exit status with '!'
Mads Kiilerich -
r16485:f48b075f stable
parent child Browse files
Show More
@@ -73,6 +73,7 b' testpats = ['
73 (r'^stop\(\)', "don't use 'stop' as a shell function name"),
73 (r'^stop\(\)', "don't use 'stop' as a shell function name"),
74 (r'(\[|\btest\b).*-e ', "don't use 'test -e', use 'test -f'"),
74 (r'(\[|\btest\b).*-e ', "don't use 'test -e', use 'test -f'"),
75 (r'^alias\b.*=', "don't use alias, use a function"),
75 (r'^alias\b.*=', "don't use alias, use a function"),
76 (r'if\s*!', "don't use '!' to negate exit status"),
76 ],
77 ],
77 # warnings
78 # warnings
78 []
79 []
@@ -1,6 +1,7 b''
1 $ check_code="$TESTDIR"/../contrib/check-code.py
1 $ check_code="$TESTDIR"/../contrib/check-code.py
2 $ cd "$TESTDIR"/..
2 $ cd "$TESTDIR"/..
3 $ if ! hg identify -q > /dev/null; then
3 $ if hg identify -q > /dev/null; then :
4 > else
4 > echo "skipped: not a Mercurial working dir" >&2
5 > echo "skipped: not a Mercurial working dir" >&2
5 > exit 80
6 > exit 80
6 > fi
7 > fi
General Comments 0
You need to be logged in to leave comments. Login now